import { crypto } from "k6/x/webcrypto";

export default async function () {
    try {
        const key = await crypto.subtle.generateKey(
            {
                name: "HMAC",
                hash: { name: "SHA-512" },
                length: 256,
            },
            true,
            [
                "sign",
                "verify",
            ]
        );
        console.log(JSON.stringify(key))
    } catch (e) {
        console.log(JSON.stringify(e))
    }
}